import React from "react";
import styled from "styled-components";
import Button from "../../util/Button";
import Input from "../../util/Input";

const Container = styled.div`
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
`

const Label = styled.span`
  padding: 0.1em;
`

const FormInput = styled(Input)`
  padding: 0.5em;
`

const FormButton = styled(Button)`
  margin: 0.1em;
`

export default ({ gameId, onChangeGameId, onJoinGame, cannotJoinGame }) => (
  <Container>
    <Label>Game ID:</Label>
    <FormInput 
      type="text" 
      value={gameId || ""} 
      onChange={onChangeGameId} 
    />
    <FormButton onClick={onJoinGame} disabled={cannotJoinGame}>
      Join Existing Game
    </FormButton>
  </Container>
);