import React from "react";
import styled from "styled-components";
import Input from "../../util/Input";

const Container = styled.div`
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
`

const Label = styled.span`
  padding: 0.2em;
`

const FormInput = styled(Input)`
  padding: 0.5em;
`

export default ({ playerName, onChangePlayerName }) => (
  <Container>
    <Label>Player Name</Label>
    <FormInput
      type="text" 
      value={playerName || ""} 
      onChange={onChangePlayerName} 
    />
  </Container>
);
