import React, { useRef } from "react";
import styled from "styled-components";
import useMap from "../../../hooks/useMap";
import useMarkedPoints from "./useMarkedPoints";
import RoundInfoPane from "./RoundInfoPane";

const MapDiv = styled.div`
  height: 100%;
  width: 100%;
`

export default ({ gameId, round, onNext }) => {
  const {
    roundNum,
    selectedPoint,
    targetPoint,
    score,
    totalScore,
  } = round;
  const mapDivRef = useRef(null);
  const mapRef = useMap(mapDivRef, targetPoint.lat, targetPoint.lng, 4);
  useMarkedPoints(mapRef, selectedPoint, targetPoint);

  return (
    <div className="round-summary">
      <div className="round-summary__map"><MapDiv ref={mapDivRef} /></div>
      <RoundInfoPane {...{ gameId, selectedPoint, targetPoint, roundNum, score, totalScore, onNext }}/>
    </div>
  );
};
