import { useEffect, useState, useRef } from "react";

export default (seconds, onEnd) => {
  const [finished, setFinished] = useState(false);
  const [remaining, setRemaining] = useState(seconds);
  const remainingMut = useRef(seconds);

  useEffect(() => {
    const timer = setInterval(() => setRemaining(remainingMut.current -= 1), 1000);
    return () => clearInterval(timer);
  }, []);

  useEffect(() => {
    if (!finished && remaining <= 0) {
      onEnd();
      setFinished(true);
    }
  }, [finished, remaining, onEnd])

  return remaining;
}
